summaryrefslogtreecommitdiff
path: root/helpers/lh_binary_tar
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_binary_tar')
-rwxr-xr-xhelpers/lh_binary_tar60
1 files changed, 60 insertions, 0 deletions
diff --git a/helpers/lh_binary_tar b/helpers/lh_binary_tar
new file mode 100755
index 0000000..e3ef167
--- /dev/null
+++ b/helpers/lh_binary_tar
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# lh_binary_tar(1) - build harddisk binary image
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="build harddisk binary image"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if ! echo "${LIVE_BINARY_IMAGES}" | grep -qs tar
+then
+ exit 0
+fi
+
+Echo_message "Begin building binary harddisk image..."
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_tar
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Remove old binary
+rm -f binary.tar.gz
+
+tar cfz binary-tar.tar.gz binary
+
+# Creating stage file
+Create_stagefile .stage/binary_tar